AI resources
Get payment

This endpoint retrieves the data of an advanced payment by its ID. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
advanced_payment_id
number

REQUIRED

Unique identifier of the advanced payment.
Response parameters
id
number
Unique identifier of the advanced payment.
wallet_payment
object
Wallet payment data from a seller with a prior Wallet Connect agreement.
payments
array
List of payments generated within the advanced payment.
disbursements
array
List of disbursements distributed among the sellers.
Errors

400Request error.

400

Bad Request.

500Processing error.

internal_error

Some error occurred on our side while attempting to process the request. Please try again later.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
    
Response
{
  "id": 10267812,
  "wallet_payment": {
    "transaction_amount": "24.50",
    "description": "Payment for the purchase of furniture",
    "external_reference": "Payment_seller_123",
    "discount": {
      "amount": 10,
      "code": "WALLET10"
    }
  },
  "payments": [
    {
      "id": 3870106238,
      "status_detail": "accredited",
      "payment_method_id": "credit_card",
      "transaction_amount": "24.50",
      "installments": 1,
      "description": "Payment for the purchase of furniture",
      "capture": true,
      "external_reference": "payment_123"
    }
  ],
  "disbursements": [
    {
      "collector_id": "collectorId"
    }
  ],
  "payer": {
    "id": 8879
  },
  "site_id": "MLA",
  "date_created": "2018-10-20T09:34:20.518-04:00",
  "date_last_updated": "2018-10-20T09:34:20.518-04:00"
}